### Hierarchy

- unknown
  - GetConnectionsReply

## Index

### Constructors

- constructor

### Methods

- addConnections
- clearConnectionsList
- getConnectionsList
- serializeBinary
- setConnectionsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetConnectionsReply(): GetConnectionsReply

- Inherited from jspb.Message.constructor

  #### Returns GetConnectionsReply

## Methods

### addConnections

- addConnections(value?: UrlConnection, index?: number): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:933

  #### Parameters

  - ##### Optional value: UrlConnection

  - ##### Optional index: number

  #### Returns UrlConnection

### clearConnectionsList

- clearConnectionsList(): GetConnectionsReply

- - Defined in src/protobuf/grpc_pb.d.ts:932

  #### Returns GetConnectionsReply

### getConnectionsList

- getConnectionsList(): UrlConnection []

- - Defined in src/protobuf/grpc_pb.d.ts:930

  #### Returns UrlConnection []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:935

  #### Returns Uint8Array

### setConnectionsList

- setConnectionsList(value: UrlConnection []): GetConnectionsReply

- - Defined in src/protobuf/grpc_pb.d.ts:931

  #### Parameters

  - ##### value: UrlConnection []

  #### Returns GetConnectionsReply

### toObject

- toObject(includeInstance?: boolean): GetConnectionsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:936

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetConnectionsReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetConnectionsReply

- - Defined in src/protobuf/grpc_pb.d.ts:939

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetConnectionsReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetConnectionsReply, reader: BinaryReader): GetConnectionsReply

- - Defined in src/protobuf/grpc_pb.d.ts:940

  #### Parameters

  - ##### message: GetConnectionsReply

  - ##### reader: BinaryReader

  #### Returns GetConnectionsReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetConnectionsReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:938

  #### Parameters

  - ##### message: GetConnectionsReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetConnectionsReply ): GetConnectionsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:937

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetConnectionsReply

  #### Returns GetConnectionsReply . AsObject

Generated using TypeDoc